summaryrefslogtreecommitdiffstats
path: root/support
diff options
context:
space:
mode:
Diffstat (limited to 'support')
-rwxr-xr-xsupport/dependencies/dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 9f0f6a9fb..1b79b2395 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -158,3 +158,11 @@ if grep ^BR2_TOOLCHAIN_BUILDROOT=y $CONFIG_FILE > /dev/null && \
exit 1 ;
fi
fi
+if grep -q ^BR2_PACKAGE_CLASSPATH=y $CONFIG_FILE ; then
+ for prog in java javac jar; do
+ if ! which $prog > /dev/null ; then
+ /bin/echo -e "\nYou must install '$prog' on your build machine\n" >&2
+ exit 1
+ fi
+ done
+fi